Skip to content
Start here

Upload a Finetune Asset

POST/accounts/{account_id}/ai/finetunes/{finetune_id}/finetune-assets

Uploads training data assets for a Workers AI fine-tuning job.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers AI Write
Path ParametersExpand Collapse
account_id: optional string
finetune_id: string
Body ParametersForm DataExpand Collapse
file: file

File to upload

file_name: string

Name of the file (adapter_config.json or adapter_model.safetensors)

ReturnsExpand Collapse
success: boolean

Upload a Finetune Asset

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/ai/finetunes/$FINETUNE_ID/finetune-assets \
    -H 'Content-Type: multipart/form-data' \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
    -F 'file=@/path/to/file' \
    -F file_name=file_name
{
  "success": true
}
Returns Examples
{
  "success": true
}